Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.utils.agents
Class DefaultController

    java.lang.Object
      madkit.utils.agents.DefaultController

All Implemented Interfaces:
  Controller

    public class DefaultController

extends java.lang.Object
implements Controller

Titre : Madkit 3.0 dev projet Description : Madkit project (C) 1998-2001 Madkit Team Copyright : Copyright (c) 2001-2002

Version:
  1.0
Author:
  O. Gutknecht, M. Fabien, J. Ferber

Field Summary
`protected AbstractAgent` | `thisAgent`

Constructor Summary
`DefaultController(AbstractAgent _ag)`

Method Summary
`void` | `activate()` The activate method which takes precedence over the activate method defined in the agent.
`void` | `doIt()` The invocation method sent by the scheduler.
`void` | `end()` The end method which takes precedence over the end method defined in the agent.
`void` | `live()` The live method which describes the overall behavior of a ("asynchronous") agent.
`AbstractAgent` | `thisAgent()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### thisAgent

    protected AbstractAgent thisAgent

Constructor Detail

### DefaultController

    public DefaultController(AbstractAgent _ag)

Method Detail

### thisAgent

    public AbstractAgent thisAgent()

  Specified by:
    `thisAgent` in interface `Controller`

### activate

    public void activate()

  Description copied from interface: `Controller`
  The activate method which takes precedence over the activate method defined in the agent. You may call the latter by invoking it directly from this method.

  Specified by:
    `activate` in interface `Controller`

### live

    public void live()

  Description copied from interface: `Controller`
  The live method which describes the overall behavior of a ("asynchronous") agent.

  Warning: This method takes precedence over the agent's live method. The agent's live method does not work when a controller is "plugged" into an agent..

  Specified by:
    `live` in interface `Controller`

### doIt

    public void doIt()

  Description copied from interface: `Controller`
  The invocation method sent by the scheduler. Warning: you have to take care that the scheduler invokes this "doIt" method!!

  Specified by:
    `doIt` in interface `Controller`

### end

    public void end()

  Description copied from interface: `Controller`
  The end method which takes precedence over the end method defined in the agent. You may call the latter by invoking it directly from this method.

  Specified by:
    `end` in interface `Controller`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.